List Disputes
curl --request GET \
--url https://api.prod.finverse.net/disputes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.finverse.net/disputes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.finverse.net/disputes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"disputes": [
{
"amount": 40,
"arn": "Chargeback1755172216672",
"card_details": {
"brand": "Visa"
},
"created_at": "2025-08-14T12:36:10.481Z",
"currency": "HKD",
"defense_period_deadline": "2025-12-12T13:34:56.000Z",
"dispute_id": "01K2M9992N5GDH4KCKKJWJQ728",
"dispute_status": "UNDEFENDED",
"is_auto_defended": false,
"is_defendable": true,
"last_event_name": "CHARGEBACK",
"payment_processor": "ADYEN",
"payment_processor_dispute_code": "10.4",
"payment_processor_dispute_reason": "Other Fraud-Card Absent Environment",
"payment_processor_dispute_reference": "PX7RZWW4KZZBDR75",
"payment_processor_dispute_status": "Undefended",
"payment_processor_merchant_reference": "ST3293L223228K5MX4JRQDT89",
"payment_processor_payment_reference": "QL6DLL2SP66VL3V5",
"payment_reference": "1755172204",
"updated_at": "2025-08-14T13:27:22.948Z"
},
{
"amount": 4014,
"arn": "Chargeback1755172264736",
"card_details": {
"brand": "Visa"
},
"created_at": "2025-08-14T12:36:10.044Z",
"currency": "HKD",
"defense_period_deadline": "2025-12-12T13:34:56.000Z",
"dispute_id": "01K2M998NKC20C0E6FCW439QM9",
"dispute_status": "UNDEFENDED",
"is_auto_defended": false,
"is_defendable": true,
"last_event_name": "CHARGEBACK",
"payment_processor": "ADYEN",
"payment_processor_dispute_code": "10.4",
"payment_processor_dispute_reason": "Other Fraud-Card Absent Environment",
"payment_processor_dispute_reference": "N58RZWW4KZZBDR75",
"payment_processor_dispute_status": "Undefended",
"payment_processor_merchant_reference": "ST3293L223228K5MX4JRQDT89",
"payment_processor_payment_reference": "DX56JQKNF8VQ3M75",
"payment_reference": "1755172240",
"updated_at": "2025-08-14T13:27:23.485Z"
},
{
"amount": 40,
"arn": "Chargeback1755172235058",
"card_details": {
"brand": "Visa"
},
"created_at": "2025-08-14T12:32:00.152Z",
"currency": "HKD",
"defense_period_deadline": "2025-12-12T13:31:08.000Z",
"dispute_id": "01K2M91MMDSKJ3H1VQ0T9BTB85",
"dispute_status": "UNDEFENDED",
"is_auto_defended": false,
"is_defendable": true,
"last_event_name": "CHARGEBACK",
"payment_processor": "ADYEN",
"payment_processor_dispute_code": "10.4",
"payment_processor_dispute_reason": "Other Fraud-Card Absent Environment",
"payment_processor_dispute_reference": "C5GBRZTPJXXHQ2W5",
"payment_processor_dispute_status": "Undefended",
"payment_processor_merchant_reference": "ST3293L223228K5MX4JRQDT89",
"payment_processor_payment_reference": "H7SSRLLV66G47NV5",
"payment_reference": "1755172222",
"updated_at": "2025-08-14T13:32:00.097Z"
}
],
"total_disputes": 3
}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}Disputes
List Disputes
List Disputes associated with a Customer App.
Authorization: customer_token
Dispute (object)
Current snapshot of each Dispute.
GET
/
disputes
List Disputes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Start date for filtering (applied to Dispute updated_at field)
End date for filtering (applied to Dispute updated_at field)
Comma-separated filter for specific Dispute statuses. Example: statuses=PROCESSING,UNDEFENDED. Refer to the Dispute statuses schema
Available options:
UNKNOWN, UNDEFENDED, ACTION_REQUIRED, PROCESSING, ACCEPTED, LOST, WON Pagination offset (default: 0)
Maximum number of records per page (default: 500, max: 1000)
Required range:
1 <= x <= 1000Response
Success